Bug 664703 - [abrt] smolt-gui-1.4.2.2-3.fc14: smolt.py:373:serverMessage:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 3: ordinal not in range(128)
[abrt] smolt-gui-1.4.2.2-3.fc14: smolt.py:373:serverMessage:UnicodeEncodeErro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:bae4900b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-21 07:22 EST by Jaroslav Pulchart
Modified: 2012-08-16 17:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.95 KB, text/plain)
2010-12-21 07:22 EST, Jaroslav Pulchart
no flags Details

  None (edit)
Description Jaroslav Pulchart 2010-12-21 07:22:13 EST
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/smoltGui
component: smolt
executable: /usr/bin/smoltGui
kernel: 2.6.35.10-72.fc14.x86_64
package: smolt-gui-1.4.2.2-3.fc14
reason: smolt.py:373:serverMessage:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 3: ordinal not in range(128)
release: Fedora release 14 (Laughlin)
time: 1292934022
uid: 500

backtrace
-----
smolt.py:373:serverMessage:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 3: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 77, in run
    self.hardware.send(smoonURL=server_url)
  File "/usr/share/smolt/client/smolt.py", line 596, in send
    pub_uuid = serverMessage(o.read())
  File "/usr/share/smolt/client/smolt.py", line 373, in serverMessage
    print _('Server Message: "%s"') % line.split('ServerMessage: ')[1]
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 3: ordinal not in range(128)

Local variables in innermost frame:
line: "    ServerMessage: 'latin-1' codec can't encode character u'\\u2122' in position 31: ordinal not in range(256)"
page: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n  \n  \n  <head>\n    <title>Error!</title>\n    <style type="text/css">\n      #pageLogin\n      {\n        font-size: 10px;\n        font-family: verdana;\n        text-align: right;\n      }\n    </style>\n    <style type="text/css" media="screen">\n      @import "/static/css/style.css";\n    </style>\n  </head>\n  <body>\n    <div id="header">\n      <div id="floatingTitle">\n        <h1>Hardware : <script type="text/javascript" language="javascript">document.write(document.title);</script></h1>\n        20 Tue Dec 21 12:20:22 2010\n      </div>\n    </div>\n    <div id="main_content">\n    ServerMessage: \'latin-1\' codec can\'t encode character u\'\\u2122\' in position 31: ordinal not in range(256)\n      </div>\n      <div id="footer">\n        <!--\n        <img src="/static/images/under_the_hood_blue.png" alt="TurboGears under the hood" />\n        <p>TurboGears is a open source front-to-back web development\n        framework written in Python</p>\n        <p>Copyright &copy; 2006 Kevin Dangoor</p>\n        -->\n      </div>\n    </body>\n</html>'

How to reproduce
-----
1. Send smolt profile from smolt-gui in cs_CZ.utf8
2.
3.
Comment 1 Jaroslav Pulchart 2010-12-21 07:22:16 EST
Created attachment 469961 [details]
File: backtrace
Comment 2 Fedora Admin XMLRPC Client 2011-02-08 16:15:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2012-08-16 17:22:50 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.